org.apache.hadoop.yarn.server.nodemanager

## Enum ContainerExecutor.Signal

- java.lang.Object
- - java.lang.Enum<ContainerExecutor.Signal>
  - - org.apache.hadoop.yarn.server.nodemanager.ContainerExecutor.Signal

- All Implemented Interfaces:
    Serializable, Comparable<ContainerExecutor.Signal>
  Enclosing class:
    ContainerExecutor

      public static enum ContainerExecutor.Signal
      extends Enum<ContainerExecutor.Signal>

  The constants for the signals.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KILL`
    `NULL`
    `QUIT`
    `TERM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Get the signal number.
    `String` | `toString()`
    `static ContainerExecutor.Signal` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContainerExecutor.Signal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final ContainerExecutor.Signal NULL

    - #### QUIT

          public static final ContainerExecutor.Signal QUIT

    - #### KILL

          public static final ContainerExecutor.Signal KILL

    - #### TERM

          public static final ContainerExecutor.Signal TERM

  - ### Method Detail

    - #### values

          public static ContainerExecutor.Signal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerExecutor.Signal c : ContainerExecutor.Signal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerExecutor.Signal valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the signal number.
      Returns:
        the signal number

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ContainerExecutor.Signal>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.